package com.tanksoftware.apps.onetimenoclist;

import java.awt.*;
import com.juk.gui.*;
import javax.swing.*;

import com.tanksoftware.protocol.OneTimeNOCList;
import com.tanksoftware.io.Ini;

/**
 * The main panel from which the OneTimeNOCList application runs.
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: </p>
 * @author unascribed
 * @version 1.0
 */

public class OneTimeNOCListGUI extends JPanel {
  XYLayout xYLayout1 = new XYLayout();
  JScrollPane jScrollPane1 = new JScrollPane();
  JScrollPane jScrollPane2 = new JScrollPane();
  JScrollPane jScrollPane3 = new JScrollPane();
  JTextArea plainText = new JTextArea();
  JTextArea encryptedText = new JTextArea();
  JTextArea encryptedTextKey = new JTextArea();
  JLabel jLabel1s = new JLabel();
  JLabel jLabel1 = new JLabel();
  JLabel jLabel2 = new JLabel();

  public OneTimeNOCListGUI(int width, int height) {
    try {
      jbInit(width, height);
    }
    catch(Exception ex) {
      ex.printStackTrace();
    }
  }
  void jbInit(int width, int height) throws Exception {
    xYLayout1.setWidth(576);
    xYLayout1.setHeight(505);
    this.setLayout(xYLayout1);
    plainText.setText("");
    encryptedText.setText("");
    encryptedTextKey.setText("");
    jLabel1s.setText("Plain Text");
    jLabel1.setText("Encoded Text");
    jLabel2.setText("Decrypt Key");
    addRealEstate(width, height);
    jScrollPane2.getViewport().add(encryptedText, null);
    jScrollPane3.getViewport().add(encryptedTextKey, null);
    jScrollPane1.getViewport().add(plainText, null);

  }

  public void addRealEstate (int width, int height) { //570,520
    //xYLayout1.setWidth(width);
    //xYLayout1.setHeight(height);
    //System.out.println("adding RE " + width + " " + height);
    this.add(jScrollPane1,  new XYConstraints(8, 37, 540, 230));
    this.add(jLabel1s, new XYConstraints(16, 13, 183, 20));
    this.add(jLabel2, new XYConstraints(301, 283, 142, -1));
    this.add(jLabel1, new XYConstraints(19, 282, -1, -1));
    this.add(jScrollPane3, new XYConstraints(294, 300, 252, 150));
    this.add(jScrollPane2, new XYConstraints(10, 300, 259, 150));
    repaint();
  }

  public void removeRealEstate () {
    this.remove(jScrollPane1);
    this.remove(jLabel1s);
    this.remove(jLabel2);
    this.remove(jLabel1);
    this.remove(jScrollPane3);
    this.remove(jScrollPane2);

  }

  public void resizePanel(int width, int height) {
    System.out.println("Resizing Panel..." + width + " " + height);
    removeRealEstate();
    addRealEstate(width, height);
  }
}