package com.juk.apps.launcher;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class LaunchJuk {
	
	
	private JFrame frame = new JFrame ();
	private JPanel panel = new JPanel ();
	private JButton copernicus = new JButton ("Copernicus");
	private JButton numberTranslator = new JButton ("NumberTranslator");
	private JButton oneTimeNOCList = new JButton ("One Time NOC List");
	private JButton morseCoder = new JButton ("MorseCoder");
	private JButton exit = new JButton ("Exit");
	
	public static final String [] NOARGS = {};
	
	public LaunchJuk (int width, int height) {
		
		frame.getContentPane().add(panel);
		frame.getContentPane().add(panel);
		frame.setSize (width,height);
		frame.setTitle("juk Launcher");
		int fw = (int) ((double) (Toolkit.getDefaultToolkit().getScreenSize().width - frame.getWidth()) / 2.0);
		int fh = (int) ((double) (Toolkit.getDefaultToolkit().getScreenSize().height - frame.getHeight()) / 2.0);
		if (fw < 0)
			fw = 0;
		if (fh < 0)
			fh = 0;

		frame.setLocation(fw,fh);
		
		panel.add(copernicus);
		panel.add(oneTimeNOCList);
		panel.add(morseCoder);
		panel.add(numberTranslator);
		panel.add(exit);

		copernicus.addActionListener(new ActionListener () {
			public void actionPerformed(ActionEvent e) {
				com.tanksoftware.apps.copernicus.Copernicus.main(NOARGS);
				frame.setVisible(false);
			}
		});
		
		oneTimeNOCList.addActionListener(new ActionListener () {
			public void actionPerformed(ActionEvent e) {
				com.tanksoftware.apps.onetimenoclist.OneTimeNOCListGUIFrame.main(NOARGS);
				frame.setVisible(false);
			}
		});
		
		morseCoder.addActionListener(new ActionListener () {
			public void actionPerformed(ActionEvent e) {
				com.tanksoftware.apps.morsecoder.MorseCoder.main(NOARGS);
				frame.setVisible(false);
			}
		});
		
		numberTranslator.addActionListener(new ActionListener () {
			public void actionPerformed(ActionEvent e) {
				com.tanksoftware.apps.numbertranslator.NumberTranslator.main(NOARGS);
				frame.setVisible(false);
			}
		});
		
		exit.addActionListener(new ActionListener () {
			public void actionPerformed(ActionEvent e) {
				System.exit(0);
			}
		});
		
		frame.pack();
		frame.setVisible(true);
	}
	
	
	
	public static void main (String [] args) {
		int width;
		int height;
		try {
			width = Integer.parseInt(args[0]);
			height = Integer.parseInt(args[1]);
		} catch (Exception e) {
			width = 500;
			height = 500;
		}			
		new LaunchJuk (width, height);
	}
	
	
	
	
}
